# Support

<p class="description">From community help to premium critical business support, we’re here to help.</p>

## Community help

The community is your first stop for questions and advice about the framework. Welcome to the community!

### StackOverflow <img src="/static/images/logos/stackoverflow.svg" width="24" height="24" alt="StackOverflow logo" loading="lazy" />

For crowdsourced technical questions from expert Material-UI devs in our community. Also frequented by the Material-UI core team.

[Post a question](https://stackoverflow.com/questions/tagged/material-ui)

### GitHub <img src="/static/images/logos/github.svg" width="24" height="24" alt="GitHub logo" loading="lazy" />

We use GitHub issues exclusively as a bugs and feature requests tracker. If you think you have found a bug, or have a new feature idea, please start by making sure it hasn't already been [reported or fixed](https://github.com/mui-org/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed). You can search through existing issues and pull requests to see if someone has reported one similar to yours.

[Open an issue](https://github.com/mui-org/material-ui/issues/new/choose)

#### New issue guidelines

- Please follow the issue template.
- Please begin the title with '[ComponentName]' where appropriate, and use a succinct description that helps others find similar issues. 
  - "doesn't work" ❌
  - "[Button] Add support for <some feature>" ✅
- Please don't group multiple topics in one issue – each should have its own issue instead.
- Please don't comment "+1" on an issue. It spams the maintainers and doesn't help move the issue forward. Use GitHub reactions instead (👍).

### Spectrum <img src="/static/images/logos/spectrum.svg" width="24" height="24" alt="Spectrum logo" loading="lazy" />

Chat with the community on Spectrum. If you feel your thread could be a StackOverflow question, go to StackOverflow instead. We lock/delete questions that are better asked on StackOverflow to avoid duplicates.

[Start a discussion](https://spectrum.chat/material-ui)

### Blog 📝

Stay up to date with the development of the library by following the blog.

[Read the latest posts](https://medium.com/material-ui/)

### Resources 📖

¿Nuevo en Material-UI? ¡Es fácil de aprender si sabes por dónde empezar!

[Aprende Material-UI](/getting-started/learn/)

### Twitter <img src="/static/images/logos/twitter.svg" width="24" height="24" alt="Twitter logo" loading="lazy" />

Receive the latest news on Material-UI.

[Follow us](https://twitter.com/MaterialUI)

### Supported versions

The Material-UI CE (Community Edition) has been 100% open-source (MIT) since the very beginning, and always will be. Developers can ensure Material-UI is the right choice for their React applications through Material-UI’s community maintenance strategy. The Material-UI team regularly ships new releases, bug fixes, and is very welcoming to community pull requests.

Given the reality of time and resource constraints, as well as the desire to keep innovating, over time it becomes necessary to shift focus to newer versions of the framework ([our release schedule](https://material-ui.com/versions/#release-frequency)), while making the transition to newer versions as smooth as possible, including publishing migration guides such as [this one for v4](/guides/migration-v3/). The open-source community is always welcome to submit new features and bug fixes as well.

The current status of each Material-UI version is as follows:

- Material-UI v4 (hooks): ✅ In active development.
- Material-UI v3 (change supported browsers): ⚠️ Only handle security fixes.
- ~Material-UI v2 (never existed)~.
- Material-UI v1 (rewrite): ❌ Inactive.
- Material-UI v0.x: ❌ Inactive.

For teams and organizations that require additional support for older versions, Material-UI has [options available](#enterprise).

## Professional support (Premium)

### Enterprise Edition

Accelerate your company’s application development with a secure, long-term solution that’s optimized for enterprise and backed by Material-UI experts.

- **Long Term version support.** LTS provides developers and organizations with additional stability and reliability in the applications they’re developing, including guaranteed service level agreements (SLAs) and advisory services. Take the time you need before upgrading to the latest active version of Material-UI, or remain confident in your application’s long-term supportability by staying on whichever version you’re most comfortable with. LTS is available as a paid service, it extends to Material-UI v1 implementations and higher.
- **Version migration assistance**.
- **Priority fixes**.
- **Priority support**. Timely support and troubleshooting when you need it most. Get expert help directly from the Material-UI team with guaranteed response times (next business day).

For more information, [get a quote](mailto:enterprise@material-ui.com) from our team.

### Advisory

Supercharge your team’s development with Material-UI Advisory Services:

#### Developer Advisory

Everything your team needs to make sure you’re using React in the best way as you evaluate and build on Material-UI.

- A private, dedicated Slack channel with access to our consultants. Get real-time advice, guidance, and feedback when you need it, with live Slack access and direct private chat with Material-UI’s expert technical team.
- An initial review of your architecture and development workflow.
- Guidance on best practices that will help you take full advantage of Material-UI and prevent avoidable mistakes.

[Get a quote](mailto:advisory@material-ui.com)

#### Enterprise Advisory

A complete support package, for teams using Material-UI for critical business applications and organizations deploying Material-UI across multiple teams.

- Includes "Developer Advisory" scaled to your entire scope of work.
- A designated Technical Account Manager who understands your business requirements and proactively makes sure you’re getting everything you need.
- A designated remote consultant who works with your team through every phase of development.
- Regular, scheduled reviews.

[Get a quote](mailto:advisory@material-ui.com)

### Tidelift subscription <img src="/static/images/logos/tidelift.svg" width="24" height="24" alt="Tidelift logo" loading="lazy" />

Material-UI and the maintainers of thousands of other packages are working with Tidelift to deliver one enterprise subscription that covers all of the open-source you use.

If you want the flexibility of open-source and the confidence of commercial-grade software, this is worth looking at.

The Tidelift Subscription manages your dependencies for you:

- Get the tools you need to continuously catalog and understand the open-source software that your application depends on.
- Your subscription helps pay the open-source community maintainers of the packages you use, to ensure they meet the standards you require.
- Address issues proactively, with tools that scan for new security, licensing, and maintenance issues, and alert participating open-source maintainers so they can resolve them on your behalf.
- Tidelift helps measure and improve your open-source dependencies' health – which improves your app's health – and gives a shortlist of high-impact steps your team can take to improve them even more.
- Get commercial assurances that don't come for free with open-source packages, such as intellectual property indemnification and support under a service level agreement. You expect these guarantees from proprietary software, and you can get them when using open-source as well.

The end result? All of the capabilities you expect from commercial-grade software, for the full breadth of open-source you use. That means less time grappling with esoteric open-source trivia, and more time building your own applications – and your business.

[Get more details](https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=material_ui&utm_medium=referral&utm_campaign=enterprise)

[Request a demo](https://tidelift.com/subscription/request-a-demo?utm_source=material_ui&utm_medium=referral&utm_campaign=enterprise)

### Custom work 🛠

Tweak Material-UI to meet specific requirements. Give us a summary of your needs; We'll help you if I can. We might:

- Give you an estimate of time and price if the work is straightforward
- Suggest alternatives that might not require Material-UI
- Decline the work due to timing or relevancy

Note that work must be Material-UI related. We don't accept general React development work. Our contracting price is $300/hour or $1,500/day.

[Send us an email](mailto:custom-work@material-ui.com)